Subject: Re: CVS and kerberos?
To: Assar Westerlund <>
From: Jason R Thorpe <>
List: tech-pkg
Date: 03/03/2001 16:43:53
On Sun, Mar 04, 2001 at 12:57:36AM +0100, Assar Westerlund wrote:

 > With the appended patch the cvs pkgsrc builds with both krb4 and
 > gssapi (over krb5) support for me.
 > What I don't understand is how the KERBEROS variable is supposed to be
 > defined.  What value should it have to enable both v4 and v5?  Could
 > someone more familiar with pkgsrc tell me how it should work so I
 > can commit these changes?

Honestly, I wasn't sure how it was supposed to work, either.  Personally,
I think we should just use KERBEROS to mean "as much as you can support",
and just hope that that pretty much always means Kerberos 5 :-)

        -- Jason R. Thorpe <>